package ru.yandex.canvas.service.video.presets.elements;

import ru.yandex.canvas.service.video.presets.PresetDescription;

public enum SubtitlesElementFactory implements ElementFactory {
    INSTANCE;

    @Override
    public SubtitlesElement create(PresetDescription description) {
        if (description.getSubtitlesPresent()) {
            return new SubtitlesElement(description);
        }

        return null;
    }
}
